Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class DependencySet

    java.lang.Object
      org.mindswap.pellet.DependencySet

    public class DependencySet

extends java.lang.Object

DependencySet for concepts and edges in the ABox for backjumping

Author:
  Evren Sirin

Field Summary
`static DependencySet` | `DUMMY` A dummy dependency set that is used just to indicate there is a dependency
`static DependencySet` | `EMPTY` An empty dependency set
`static DependencySet` | `INDEPENDENT` Used for assertions that are true by nature, i.e.
`static int` | `NO_BRANCH`
`static java.util.BitSet` | `ZERO`

Constructor Summary
`DependencySet(aterm.ATermAppl explainAtom)` Creates a dependency set with no dependency and single explanation atom
`DependencySet(java.util.BitSet depends, java.util.Set<aterm.ATermAppl> explain)` Creates a dependency set with the given BitSet (no separate copy of BitSet is created so if BitSet is modified this DependencySet will be affected).
`DependencySet(int branch)` Create a dependency set that depends on a single branch
`DependencySet(java.util.Set<aterm.ATermAppl> explain)` Creates a dependency set with no dependency and a set of explanation atoms

Method Summary
`void` | `add(int b)` Add the integer value `b` to this DependencySet.
`DependencySet` | `addExplain(java.util.Set<aterm.ATermAppl> explain, boolean doExplanation)`
`boolean` | `contains(int b)` Return true if `b` is in this set.
`DependencySet` | `copy()` Creates a new DependencySet object where the BitSet is shared (changing one will change the other).
`java.util.BitSet` | `getDepends()`
`java.util.Set` | `getExplanationSet()` Return the current set of explanations
`boolean` | `isIndependent()` Return true if there is no dependency on a non-deterministic branch
`int` | `max()` Return the maximum value in this set.
`void` | `remove(int b)` Remove the integer value `b` from this DependencySet.
`void` | `removeExplain(aterm.ATermAppl assertion)` Remove explanation sets which contain references to a syntactic assertion
`void` | `setDepends(java.util.BitSet depends)`
`int` | `size()` Return the number of elements in this set.
`java.lang.String` | `toString()`
`DependencySet` | `union(DependencySet ds, boolean doExplanation)` Create a new DependencySet and all the elements of `this` and `ds` (Neither set is affected when the return the set is modified).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_BRANCH

    public static final int NO_BRANCH

See Also:
  Constant Field Values

### EMPTY

    public static final DependencySet EMPTY

  An empty dependency set

### INDEPENDENT

    public static final DependencySet INDEPENDENT

  Used for assertions that are true by nature, i.e. an individual always has type owl:Thing

### ZERO

    public static final java.util.BitSet ZERO

### DUMMY

    public static final DependencySet DUMMY

  A dummy dependency set that is used just to indicate there is a dependency

Constructor Detail

### DependencySet

    public DependencySet(int branch)

  Create a dependency set that depends on a single branch

  Parameters:
    `branch` - Branch number

### DependencySet

    public DependencySet(java.util.BitSet depends,
                         java.util.Set<aterm.ATermAppl> explain)

  Creates a dependency set with the given BitSet (no separate copy of BitSet is created so if BitSet is modified this DependencySet will be affected).

### DependencySet

    public DependencySet(aterm.ATermAppl explainAtom)

  Creates a dependency set with no dependency and single explanation atom

### DependencySet

    public DependencySet(java.util.Set<aterm.ATermAppl> explain)

  Creates a dependency set with no dependency and a set of explanation atoms

Method Detail

### copy

    public DependencySet copy()

  Creates a new DependencySet object where the BitSet is shared (changing one will change the other).

  Returns:

### contains

    public boolean contains(int b)

  Return true if `b` is in this set.

  Parameters:
    `b` -
  Returns:

### add

    public void add(int b)

  Add the integer value `b` to this DependencySet.

  Parameters:
    `b` -

### remove

    public void remove(int b)

  Remove the integer value `b` from this DependencySet.

  Parameters:
    `b` -

### isIndependent

    public boolean isIndependent()

  Return true if there is no dependency on a non-deterministic branch

  Returns:

### size

    public int size()

  Return the number of elements in this set.

  Returns:

### max

    public int max()

  Return the maximum value in this set.

  Returns:

### getExplanationSet

    public java.util.Set getExplanationSet()

  Return the current set of explanations

  Returns:

### union

    public DependencySet union(DependencySet ds,
                               boolean doExplanation)

  Create a new DependencySet and all the elements of `this` and `ds` (Neither set is affected when the return the set is modified).

  Parameters:
    `ds` -
    `doExplanation` - TODO
  Returns:

### addExplain

    public DependencySet addExplain(java.util.Set<aterm.ATermAppl> explain,
                                    boolean doExplanation)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### removeExplain

    public void removeExplain(aterm.ATermAppl assertion)

  Remove explanation sets which contain references to a syntactic assertion

  Parameters:
    `assertion` -

### setDepends

    public void setDepends(java.util.BitSet depends)

### getDepends

    public java.util.BitSet getDepends()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.